Bug 20477 - Silence warnings Fast Cataloguing
Summary: Silence warnings Fast Cataloguing
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: M. Tompsett
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-26 19:14 UTC by M. Tompsett
Modified: 2018-10-24 09:13 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20477: Silence floody noise on fast cataloging (2.09 KB, patch)
2018-03-26 19:17 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20477: Silence floody noise on fast cataloging (2.15 KB, patch)
2018-04-13 18:53 UTC, Roch D'Amour
Details | Diff | Splinter Review
Bug 20477: Silence floody noise on fast cataloging (2.24 KB, patch)
2018-05-04 09:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2018-03-26 19:14:01 UTC
On a kohadevbox:

echo | sudo tee /var/log/koha/kohadev/plack-error.log
restart_all
cat /var/log/koha/kohadev/plack-error.log
-- just restart information

log into staff client, home -> circulation -> fast cataloging

cat /var/log/koha/kohadev/plack-error.log
-- floody!
Comment 1 M. Tompsett 2018-03-26 19:17:57 UTC
Created attachment 73292 [details] [review]
Bug 20477: Silence floody noise on fast cataloging

TEST PLAN
---------
See comment #0 to reproduce.
apply this patch
restart_all

echo | sudo tee /var/log/koha/kohadev/place-error.log
restart_all
cat /var/log/koha/kohadev/plack-error.log
-- just restart information

log into staff client again, home -> circulation -> fast cataloging

cat /var/log/koha/kohadev/plack-error.log
-- just restart information

run qa test tools
Comment 2 Roch D'Amour 2018-04-13 18:53:20 UTC
Created attachment 74178 [details] [review]
Bug 20477: Silence floody noise on fast cataloging

TEST PLAN
---------
See comment #0 to reproduce.
apply this patch
restart_all

echo | sudo tee /var/log/koha/kohadev/place-error.log
restart_all
cat /var/log/koha/kohadev/plack-error.log
-- just restart information

log into staff client again, home -> circulation -> fast cataloging

cat /var/log/koha/kohadev/plack-error.log
-- just restart information

run qa test tools

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Comment 3 Marcel de Rooy 2018-05-04 09:45:18 UTC
Created attachment 75058 [details] [review]
Bug 20477: Silence floody noise on fast cataloging

TEST PLAN
---------
See comment #0 to reproduce.
apply this patch
restart_all

echo | sudo tee /var/log/koha/kohadev/place-error.log
restart_all
cat /var/log/koha/kohadev/plack-error.log
-- just restart information

log into staff client again, home -> circulation -> fast cataloging

cat /var/log/koha/kohadev/plack-error.log
-- just restart information

run qa test tools

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2018-05-04 12:50:23 UTC
Pushed to master for 18.05, thanks to everybody involved!